#region StandardUsing
using System;
using QPlatform.CoreBase;
using HMIProject = QPlatform.HMIProject;
using UAManagedCore;
using OpcUa = UAManagedCore.OpcUa;
using NetLogic = QPlatform.NetLogic;
using QPlatform.UI;
using QPlatform.OPCUAServer;
#endregion

public class UserManagementScript : QPlatform.NetLogic.BaseNetLogic
{
    
    [NetLogic.ExportMethod]
    public void AddUser(string name, string password, string localeId)
    {
        // Check the password length.
        if (password.Length < 1)
            return;
        // Get the current project folder.
        var currentProject = HMIProject.Project.Current;
        // Creating a new User and set its locale and password.
        var newUser = HMIProject.InformationModel.MakeObject<QPlatform.Core.User>(name);
        newUser.Password = password;
        newUser.LocaleIds = new string[] { localeId };
        var usersFolder = currentProject.GetObject("Users");
        if (usersFolder == null){
            Log.Error ("Add User", "Missing Users folder");
            return;
        }
        usersFolder.Children.Add(newUser.NodeId);
    }

    [NetLogic.ExportMethod]
    public void RemoveUser(string name)
    {
        // Get the current project folder.
        
        var usersFolder = HMIProject.Project.Current.GetObject("Users");

        if (usersFolder == null)
        {
            Log.Error ("Add User", "Missing Users folder");
            return;
        }

        if (usersFolder.Children.Count <= 0){
            Log.Error("Users folder is Empty");
            return;
        }

        // Removing the User by the name.
        usersFolder.Children.Remove(name);
    }
}
